#include <chronoptics/tof.hpp>
#include <iostream>

namespace tof = chronoptics::tof;

int main() {
  std::vector<tof::DiscoveredCamera> cameras = tof::discover_cameras();

  std::cout << "Cameras Detected\n";

  for (auto &cam : cameras) {
    std::cout << "Camera: " << cam.serial() << " info: " << cam.info()
              << std::endl;
  }
}
